angular.module( 'rcp-intro', ['ionic', 'rcp-loading-indicator-service'])

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider
    .state('intro', {
        url: '/intro',
        templateUrl: 'app/components/intro/intro.html',
        controller: 'IntroCtrl'
    });
})

.controller('IntroCtrl', function($scope, $state, $ionicSlideBoxDelegate) {
    $scope.startApp = function() {
        $state.go('main');
    };

    $scope.next = function() {
        $ionicSlideBoxDelegate.next();
    };
    $scope.previous = function() {
        $ionicSlideBoxDelegate.previous();
    };

    $scope.slideChanged = function(index) {
        $scope.slideIndex = index;
    };
});
