angular.module( 'rcp-payment-process', ['ionic', 'rcp-loading-indicator-service', 'rcp-api-adapter'])

.config(function($stateProvider, $urlRouterProvider) {
	$stateProvider
	.state('tabs.payment-process', {
		url: '/payment-process',
		views: {
			'dash-tab@tabs': {
				controller: "PaymentProcessCtrl",
				templateUrl: "app/components/payment-process/payment-process.html"
			}
		}
	});
})

.controller('PaymentProcessCtrl', function(api, $scope, $state, $ionicPopup, $location, $ionicLoading, loadingIndicator) {
	loadingIndicator.showLoadingScreen($scope, 'Loading your details...');
	var frameAdd = 0;
	$scope.$on('$ionicView.afterEnter', function(){

		if(frameAdd == 0){
			ifrm = document.createElement("IFRAME"); 
			ifrm.setAttribute("src", "https://www.rcpparking.com/app/payment_processor/?sid=" + localStorage.getItem('token')); 
			ifrm.setAttribute("scrolling", "no"); 
			ifrm.setAttribute("id", "pay_frame"); 
			ifrm.style.width = "100%"; 
			ifrm.style.height = "500px"; 
			document.getElementById('iframe_cont').appendChild(ifrm);
			frameAdd = 1;

			document.getElementById('pay_frame').onload=function() {
				$ionicLoading.hide();
			}
		}
	});

	$scope.returnToDash = function() {
		$location.path("/dashboard");
		$scope.$apply();
	};
});
